高危 Dirty Pipe - Linux 内核本地提权漏洞(CVE-2022-0847)

CVE编号

CVE-2022-0847

利用情况

EXP 已公开

补丁情况

官方补丁

披露时间

2022-03-07
该漏洞EXP已公开传播,漏洞利用成本极低,建议您立即关注并修复。
漏洞描述
2022年03月07日,国外安全研究员披露了一个Linux 内核本地提权漏洞 CVE-2022-0847,攻击者通过利用此漏洞可进行任意可读文件重写,将普通权限用户提升到 root权限。漏洞作者将此漏洞命名为“Dirty Pipe”。目前网上已有公开的漏洞利用工具POC。
解决建议
1、编译更新升级 Linux 内核到以下安全版本(谨慎使用):
Linux 内核 >= 5.16.11
Linux 内核 >= 5.15.25
Linux 内核 >= 5.10.102

2、等待各个发行版操作系统官方发布更新包(直接源码编译升级会有兼容性风险);
3、阿里云Alibaba Cloud Linux 3操作系统的内核版本已修复至安全版本。具体修复版本信息为Alibaba Cloud Linux 3:kernel-5.10.84-10.3.al8。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 Linux kernel * From
(including)
5.15
Up to
(excluding)
5.15.25
运行在以下环境
应用 Linux kernel * From
(including)
5.16
Up to
(excluding)
5.16.11
运行在以下环境
应用 Linux kernel * From
(including)
5.8
Up to
(excluding)
5.10.102
运行在以下环境
系统 alibaba_cloud_linux_2.1903 linux * Up to
(excluding)
4.19.91-25.7.al7
运行在以下环境
系统 amazon_2 linux * Up to
(excluding)
5.10.102-99.473.amzn2
运行在以下环境
系统 amazon_AMI linux * Up to
(excluding)
4.14.268-139.500.amzn1
运行在以下环境
系统 centos_8 linux * Up to
(excluding)
4.18.0-348.20.1.el8_5
运行在以下环境
系统 debian_11 linux * Up to
(excluding)
5.10.92-2
运行在以下环境
系统 opensuse_Leap_15.3 linux * Up to
(excluding)
4.12.14-197.108.1
运行在以下环境
系统 opensuse_Leap_15.4 linux * Up to
(excluding)
4.12.14-197.108.1
运行在以下环境
系统 oracle_7 linux * Up to
(excluding)
4.14.35-2047.511.5.6.el7
运行在以下环境
系统 oracle_8 linux * Up to
(excluding)
4.18.0-348.20.1.el8_5
运行在以下环境
系统 redhat_8 linux * Up to
(excluding)
4.18.0-348.20.1.el8_5
运行在以下环境
系统 suse_12_SP5 linux * Up to
(excluding)
4.12.14-122.113.1
运行在以下环境
系统 ubuntu_18.04 linux * Up to
(excluding)
4.4.0-1077.82
运行在以下环境
系统 ubuntu_20.04 linux * Up to
(excluding)
5.14.0-1027.30
运行在以下环境
系统 ubuntu_21.10 linux * Up to
(excluding)
5.13.0-1017.19
阿里云评分
7.4
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    EXP 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-665 初始化不恰当
阿里云安全产品覆盖情况